using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Net;
using global::CSharpSample.ca.smsgateway;

namespace CSharpSample
{  
    public partial class CSharpSample : Form
    {
         
        public CSharpSample()
        {
            InitializeComponent();
        }


        /// <summary>
        /// Send an SMS Message using SOAP Web services. 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btnSendWS_Click(object sender, EventArgs e)
        {
            //***********************
            // Make sure your project has a web reference to http://smsgateway.ca/SendSMS.asmx?WSDL
            //***********************
        
            SendSMS SMSMessenger = new SendSMS();
            
            // The recipient cell phone number. 
            // In demo mode, this will be ignored - all messages will be sent to your cell number.
            string CellNumber = txtCellNumber.Text;

            // This is your unique account key which was emailed to you when you created your account.
            // Don't have an account? Create one now at http://smsgateway.ca/users/createaccount.aspx
            string AccountKey = txtAccountKey.Text;

            // This is the body of the message you want to send. The maximum length is 160 characters.
            // Messages greater than 160 characters will be broken up into multiple messages. 
            string MessageBody = txtMessage.Text;

            // The web service will return a string. If the string is "Message queued successfully" 
            // then the call was successful. Otherwise, there was an error and the string will contain
            // the error message. 
            string result = SMSMessenger.SendMessage(CellNumber, MessageBody, AccountKey);

            MessageBox.Show(result, "SMS Message", MessageBoxButtons.OK, MessageBoxIcon.Information);

        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start("http://smsgateway.ca/users/createaccount.aspx");
        }


   
    }
}